package cn.hmsoft.skill.data.model.std;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 考生报考信息
* @author: zxq
* @date: 2019-01-08 13:30:23
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "STD_ENROL", keyColumn =  "ENROL_ID" , sequenceName = "STD_ENROL_ID")
public class StdEnrol implements Serializable{
	private static final long serialVersionUID = -3103104449521709454L;
	//报名流水
	private Integer enrol_id;
	//考生内部编号
	private Integer std_id;
	//招考方向代码
	private Integer aspect_id;
	//报名时间
	private LocalDateTime enrol_time;
	//报名状态
	private String enrol_status;
	//支付状态
	private LocalDateTime pay_time;
	//用那个订单支付的费用
	private Integer bill_id;
	//学校编号
	private Integer school_id;
	//费用金额
	private Integer fee_amount;
	//支付状态
	private String pay_status;
	//最迟缴费期限
	private LocalDateTime pay_end_time;
	//准考证号
	private String ticket_num;
	//准考证文件名称
	private String ticket_file;
	//专业最后得分
	private String std_score;
	//考生名次
	private String std_level;
	
	//审核状态
	private String verify_status;

	/****
	 * 报名流水
	 */
	public Integer getEnrol_id() {
		return this.enrol_id;
	}

	/****
	 * 报名流水
	 */
	public void setEnrol_id(Integer enrol_id) {
		this.enrol_id = enrol_id;
	}

	/****
	 * 考生内部编号
	 */
	public Integer getStd_id() {
		return this.std_id;
	}

	/****
	 * 考生内部编号
	 */
	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
	}

	/****
	 * 招考方向代码
	 */
	public Integer getAspect_id() {
		return this.aspect_id;
	}

	/****
	 * 招考方向代码
	 */
	public void setAspect_id(Integer aspect_id) {
		this.aspect_id = aspect_id;
	}

	/****
	 * 报名时间
	 */
	public LocalDateTime getEnrol_time() {
		return this.enrol_time;
	}

	/****
	 * 报名时间
	 */
	public void setEnrol_time(LocalDateTime enrol_time) {
		this.enrol_time = enrol_time;
	}

	/****
	 * 报名状态
	 */
	public String getEnrol_status() {
		return this.enrol_status;
	}

	/****
	 * 报名状态
	 */
	public void setEnrol_status(String enrol_status) {
		this.enrol_status = enrol_status;
	}

	/****
	 * 支付状态
	 */
	public LocalDateTime getPay_time() {
		return this.pay_time;
	}

	/****
	 * 支付状态
	 */
	public void setPay_time(LocalDateTime pay_time) {
		this.pay_time = pay_time;
	}

	/****
	 * 用那个订单支付的费用
	 */
	public Integer getBill_id() {
		return this.bill_id;
	}

	/****
	 * 用那个订单支付的费用
	 */
	public void setBill_id(Integer bill_id) {
		this.bill_id = bill_id;
	}

	/****
	 * 学校编号
	 */
	public Integer getSchool_id() {
		return this.school_id;
	}

	/****
	 * 学校编号
	 */
	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}

	/****
	 * 费用金额
	 */
	public Integer getFee_amount() {
		return this.fee_amount;
	}

	/****
	 * 费用金额
	 */
	public void setFee_amount(Integer fee_amount) {
		this.fee_amount = fee_amount;
	}

	/****
	 * 支付状态
	 */
	public String getPay_status() {
		return this.pay_status;
	}

	/****
	 * 支付状态
	 */
	public void setPay_status(String pay_status) {
		this.pay_status = pay_status;
	}

	/****
	 * 最迟缴费期限
	 */
	public LocalDateTime getPay_end_time() {
		return this.pay_end_time;
	}

	/****
	 * 最迟缴费期限
	 */
	public void setPay_end_time(LocalDateTime pay_end_time) {
		this.pay_end_time = pay_end_time;
	}

	/****
	 * 准考证号
	 */
	public String getTicket_num() {
		return this.ticket_num;
	}

	/****
	 * 准考证号
	 */
	public void setTicket_num(String ticket_num) {
		this.ticket_num = ticket_num;
	}

	/****
	 * 准考证文件名称
	 */
	public String getTicket_file() {
		return this.ticket_file;
	}

	/****
	 * 准考证文件名称
	 */
	public void setTicket_file(String ticket_file) {
		this.ticket_file = ticket_file;
	}

	/****
	 * 专业最后得分
	 */
	public String getStd_score() {
		return this.std_score;
	}

	/****
	 * 专业最后得分
	 */
	public void setStd_score(String std_score) {
		this.std_score = std_score;
	}

	/****
	 * 考生名次
	 */
	public String getStd_level() {
		return this.std_level;
	}

	/****
	 * 考生名次
	 */
	public void setStd_level(String std_level) {
		this.std_level = std_level;
	}

	public String getVerify_status() {
		return verify_status;
	}

	public void setVerify_status(String verify_status) {
		this.verify_status = verify_status;
	}



}